import request from '@/utils/request'

// 查询外部接口日志列表
export function listExternalInterfaceLog(query) {
  return request({
    url: '/manage/externalInterfaceLog/list',
    method: 'get',
    params: query
  })
}

// 查询外部接口日志详细
export function getExternalInterfaceLog(id) {
  return request({
    url: '/manage/externalInterfaceLog/' + id,
    method: 'get'
  })
}

// 新增外部接口日志
export function addExternalInterfaceLog(data) {
  return request({
    url: '/manage/externalInterfaceLog',
    method: 'post',
    data: data
  })
}

// 修改外部接口日志
export function updateExternalInterfaceLog(data) {
  return request({
    url: '/manage/externalInterfaceLog',
    method: 'put',
    data: data
  })
}

// 删除外部接口日志
export function delExternalInterfaceLog(id) {
  return request({
    url: '/manage/externalInterfaceLog/' + id,
    method: 'delete'
  })
}
